جلسه اول: برخورد استوانه ها

شکل 1

شکل 1

 

شکل (1) را در نظر بگیرید. آیا تا کنون با مواردی اینگونه در طراحی برخورد کرده اید؟ برای پیدا کردن پروفیل برش چه روشی را بکار برده اید؟ شرح ذیل روشی را بیان می کند که شکل گسترش یافته پروفیل برش را ارائه می دهد.

   شرح : فرض کنید محور استوانه ای با قطر D1 بر محور z منطبق و محور استوانه ای با قطر D2 درصفحه y’z’موازی صفحه yz و به فاصله a از آن قرار دارد. فرض کنید صفحه y’z’ به اندازه زاویه Φ حول محور x چرخیده و محور استوانه D2 نیز بر محور y’ منطبق است. این کلی ترین حالت برخورد دو استوانه است. معادله هر یک از استوانه ها نسبت به مختصات xyz بصورت ذیل است:

image002

tmp2BAD

tmpFBC9

 از ترکیب مختصات دکارتی ومختصات استوانه ای برایD1 :

   tmpA764

معادله D2 را نیز بصورت زیر میتوان نوشت:

tmpD316

با ترکیب روابط فوق:

FORMULA-2

حال اگر محور افقی را S و محور عمودی را z در نظر بگیریم و نمودار رابطه فوق را رسم کنیم شکل بدست آمده پروفیل تقاطع روی استوانه D1 است.

   یک روش ساده این است که شکل را روی یک کاغذ یا ورق نازک فلزی با مقیاس رسم کرده و آن را دور استوانه و در محل مناسب قرار داده و بعد از پیاده کردن شکل روی استوانه، با روشهای معمول (مانند برش پلاسما) برش داد.

  

شکل 1

شکل 1

برای مثال شکل (2) پروفیل برش هر دو استوانه سمت چپ  شکل (1) را نشان می دهد.

   برنامه ذیل با زبان Autolisp نوشته شده و با استفاده از روش فوق پروفیل برش را در محیط AutoCAD رسم می کند. در صورتی که تا کنون با Autolisp کار نکرده اید ، بصورت زیر عمل کنید:

   برنامه را توسط یک ادیتور مانند Notepad تایپ کرده و ذخیره نمایید.( میتوانید با تایپ Vlide در اتوکد و فشار دکمهEnter از ادیتور AutoCAD نیز استفاده کنید.) توجه نمایید پسوند فایل را حتما” Lsp بگذارید. حال برای استفاده از برنامه می بایست آن را Load کرد. جلوی Command: تایپ کنید Appload و Enter کنید. فایل مورد نظر را انتخاب ، دکمه Load وسپس دکمه Close را بزنید. برای اجراء جلوی Command: تایپ کنید Pipes و Enter کنید. موارد خواسته شده را وارد کنید و نتیجه را ببینید.

   چند نکته در مورد برنامه:

1-    پروفیل رسم شده فقط مربوط به D1 است. درصورتیکه پروفیل هر دو استوانه را لازم دارید، دو بار از برنامه استفاده کنید و هر بار یکی را بعنوان D1 در نظر بگیرید.

2-    همراه پروفیل یک خط افقی هم رسم می شود که این خط گسترش دایره ای به قطر   D1و در مبداء مختصات است (یا به عبارت دیگر صفحه تقاطع مجازی دو محور استوانه روی D1). با این خط موقعیت برش دقیقا مشخص می شود.

شکل 3

شکل 3

3-    این برنامه پروفیل دو طرف استوانه را می دهد، بدین معنی که فرض می کند استوانه ها در نقطه برخورد تمام نشده و ادامه دارند. در صورتی که پروفیل یک طرف را نیاز دارید، از طرف دوم صرف نظر کنید.

4- ترسیم با مقیاس 1:1 انجام می شود. در صورتی که پرینتر یا پلاتر شما تنظیم باشد، میتوانید مستقیما آن را رسم و استفاده کنید.

5-    از آنجا که پروفیل برای قطر خارجی بدست آمده ، برای استوانه ها و لوله های جدار ضخیم تاثیر ضخامت را قبل از برش در نظر بگیرید.این مورد بخصوص در موارد مشابه استوانه های وسطی شکل (1) مهم است.


(defun c:pipes(/ a D1 D2 r1 r2 Phi ptt teta tetar ang inc cclr S x y crnl sq z1 z2 pt0 pt1 pt2 pt3 osmd)

(setvar “cmdecho” 0)

(command “undo” “be”)

(setq D1 (getdist “\nSpecify the out diameter of the first pipe:”))

(setq D2 (getdist “\nSpecify the out diameter of the second pipe:”))

(setq a (getdist “\nSpecify the perpendicular distance between the two centerlines:”))

(setq Phi (getangle “\nSpecify the angle of the two centerlines:”))

(setq ptt (getpoint “\nSpecify the left point of diagram:”))

(setq r1 (/ D1 2))

(setq r2 (/ D2 2))

(if (<= (+ a r1) r2)

(progn

(setq teta -180.0)

(setq ang 180.0)

)

(progn

(if (= a r2)

(setq teta (/ pi 2.0))

(setq teta (atan (sqrt (- (expt (/ r1 (- a r2)) 2) 1.0))))

)

(setq teta (* (/ teta pi) 180.0))

(if (< a r2) (setq teta (- 180.0 teta)))

(setq ang teta)

(setq teta (- teta))

)

)

(setq inc (/ (- ang teta) 100))

(setq cclr (getvar “cecolor”))

(command “color” 52)

(command “line” ptt (list (+ (car ptt) (* pi (* r1 2))) (cadr ptt)) “”)

(command “color” 152)

(setq osmd (getvar “osmode”))

(setvar “osmode” 0)

(repeat 101

(progn

(setq tetar (* (/ teta 180.0) pi))

(setq S (* r1 (+ tetar pi)))

(setq x (* r1 (cos tetar)))

(setq y (* r1 (sin tetar)))

(setq crnl (- (expt r2 2) (expt (- x a) 2)))

(if (> crnl -0.001 )

(progn

(setq sq (sqrt (abs crnl)))

(setq z1 (/ (+ (* y (sin Phi)) sq) (cos Phi)))

(setq z2 (/ (- (* y (sin Phi)) sq) (cos Phi)))

)

(progn

(setq z1 0.0)

(setq z2 0.0)

)

)

(setq pt1 (list (+ (car ptt) s) (- (cadr ptt) z1)))

(setq pt2 (list (+ (car ptt) s) (- (cadr ptt) z2)))

(Command “line” pt0 pt1 “”)

(Command “line” pt3 pt2 “”)

(setq pt0 pt1)

(setq pt3 pt2)

(setq teta (+ teta inc))

(if (> teta ang) (setq teta ang))

)

)

(setvar “osmode” osmd)

(command “undo” “e”)

(command “color” cclr)

(setvar “cmdecho” 1)

)

پاسخ دهید

نشانی ایمیل شما منتشر نخواهد شد. بخش‌های موردنیاز علامت‌گذاری شده‌اند *

شما می‌توانید از این دستورات HTML استفاده کنید: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>